# Postgres

{% hint style="info" %}
The following documentation is for **Postgres v2.0.1** *(BDK)*.
{% endhint %}

## Overview

The PostgreSQL book enables users to connect to, query, and manage PostgreSQL databases through comprehensive table operations, stored procedure execution and schema discovery.

## Prerequisites

### 1. Required Books

The following Book(s) need to be added to your agent so it can learn and understand the automation procedures defined within them:

* **Postgres**

#### How to Add the Book(s)

1. Go to **Books** → **All Books**.
2. Search for the name of the book and click on it.
3. Click on <kbd>**Install**</kbd> or <kbd>**Add Connection**</kbd> to add the book to your agent.
4. If adding a connection, you'll be prompted for [**connectivity**](#connectivity) details.

## Connectivity

This section outlines the available methods for connecting to the Book, along with the required configuration details for each.

### Connect using Host, Port, Username, Password and Database Name

Connect to a PostgreSQL database using the provided connection parameters.

| Label         | Description   | Type        |
| ------------- | ------------- | ----------- |
| Host          | Host          | `text`      |
| Port          | Port          | `text`      |
| Username      | Username      | `text`      |
| Password      | Password      | `sensitive` |
| Database Name | Database Name | `text`      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kognitos.com/legacy/legacy-experience/books/reference/postgres.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
